Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Aladdin
Class HaspStatus

    java.lang.Object
      Aladdin.HaspStatus

    public class HaspStatus

extends java.lang.Object

Field Summary
`static int` | `HASP_ACCESS_DENIED` Feature access denied
`static int` | `HASP_BROKEN_SESSION` Broken session
`static int` | `HASP_CONTAINER_NOT_FOUND` License container not found
`static int` | `HASP_DEVICE_ERR` HASP SL secure storage I/O error or USB request error
`static int` | `HASP_ENC_NOT_SUPP` Requested encryption algorithm not supported
`static int` | `HASP_FEATURE_EXPIRED` The Feature is expired
`static int` | `HASP_FEATURE_NOT_FOUND` Feature not found
`static int` | `HASP_FEATURE_TYPE_NOT_IMPL` Feature type not implemented
`static int` | `HASP_HARDWARE_MODIFIED` HASP update incompatible with this hardware; HASP key is locked to other hardware
`static int` | `HASP_INCOMPAT_FEATURE` Incompatible Feature
`static int` | `HASP_INSUF_MEM` Memory allocation failed
`static int` | `HASP_INT_ERR` Internal API error
`static int` | `HASP_INV_API_DYLIB` The found and assigned API dynamic library could not verified.
`static int` | `HASP_INV_FILEID` Invalid file ID / memory descriptor
`static int` | `HASP_INV_FORMAT` Unrecognized info format
`static int` | `HASP_INV_HND` Invalid handle
`static int` | `HASP_INV_PARAM` Invalid parameter
`static int` | `HASP_INV_PORT`
`static int` | `HASP_INV_PORT_TYPE`
`static int` | `HASP_INV_PROGNUM_OPT` Unknown/invalid Feature ID option
`static int` | `HASP_INV_SCOPE` Invalid XML scope
`static int` | `HASP_INV_SIG` Signature check failed
`static int` | `HASP_INV_SPEC` Invalid XML spec
`static int` | `HASP_INV_TIME` Invalid date / time
`static int` | `HASP_INV_UPDATE_CNTR` Update counter mismatch
`static int` | `HASP_INV_UPDATE_DATA` Update data consistency check failed
`static int` | `HASP_INV_UPDATE_NOTSUPP` Update not supported by this key
`static int` | `HASP_INV_UPDATE_OBJ` Invalid update object
`static int` | `HASP_INV_VCODE` Invalid vendor code
`static int` | `HASP_INV_VLIB` Vendor DLL cannot be loaded
`static int` | `HASP_KEYID_NOT_FOUND` Key with requested ID was not found
`static int` | `HASP_LOCAL_COMM_ERR` Communication error between application and local HASP License Manager
`static int` | `HASP_MEM_RANGE` Invalid memory address
`static int` | `HASP_NO_ACK_SPACE` Update requested acknowledgement, but no area to return it
`static int` | `HASP_NO_API_DYLIB` A required API dynamic library was not found
`static int` | `HASP_NO_BATTERY_POWER` Clock has no power
`static int` | `HASP_NO_DRIVER` Hardware key driver not found
`static int` | `HASP_NO_LOG` Trace log is not enabled
`static int` | `HASP_NO_TIME` Real time support not available
`static int` | `HASP_NO_VLIB` Vendor DLL cannot be found
`static int` | `HASP_NOT_IMPL` Functionality is not available
`static int` | `HASP_OLD_DRIVER` Driver or support daemon version too old
`static int` | `HASP_OLD_LM` HASP License Manager version too old
`static int` | `HASP_OLD_VLIB` Vendor DLL is too old
`static int` | `HASP_REMOTE_COMM_ERR` Communication error between local and remote HASP License Manager
`static int` | `HASP_REQ_NOT_SUPP` Request not supported
`static int` | `HASP_SCHAN_ERR` Secure channel communication error
`static int` | `HASP_SCOPE_RESULTS_EMPTY` Scope: no matching Feature found
`static int` | `HASP_STATUS_OK` No error occurred
`static int` | `HASP_STORAGE_CORRUPT` Secure storage contains garbage
`static int` | `HASP_SYS_ERR` Generic error from host system call
`static int` | `HASP_TIME_ERR` System time has been tampered
`static int` | `HASP_TMOF` Too many open Features
`static int` | `HASP_TOO_MANY_KEYS` Too many keys connected
`static int` | `HASP_TOO_MANY_USERS` Too many users
`static int` | `HASP_TOO_SHORT` En-/decryption length too short
`static int` | `HASP_TS_DETECTED` Terminal services (remote terminal) detected
`static int` | `HASP_UNKNOWN_ALG` Unknown algorithm
`static int` | `HASP_UNKNOWN_VCODE` Vendor Code unknown to API library (run apigen to make it known)
`static int` | `HASP_UPDATE_BLOCKED` Update installation not allowed
`static int` | `HASP_UPDATE_TOO_NEW` Another update must be installed first
`static int` | `HASP_UPDATE_TOO_OLD` Update was already installed
`static int` | `HASP_USER_DENIED` Login denied because of user restrictions
`static int` | `HASP_VM_DETECTED` Virtual machine detected

Constructor Summary
`HaspStatus()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HASP_STATUS_OK

    public static final int HASP_STATUS_OK

  No error occurred

  See Also:
    Constant Field Values

### HASP_MEM_RANGE

    public static final int HASP_MEM_RANGE

  Invalid memory address

  See Also:
    Constant Field Values

### HASP_INV_PROGNUM_OPT

    public static final int HASP_INV_PROGNUM_OPT

  Unknown/invalid Feature ID option

  See Also:
    Constant Field Values

### HASP_INSUF_MEM

    public static final int HASP_INSUF_MEM

  Memory allocation failed

  See Also:
    Constant Field Values

### HASP_TMOF

    public static final int HASP_TMOF

  Too many open Features

  See Also:
    Constant Field Values

### HASP_ACCESS_DENIED

    public static final int HASP_ACCESS_DENIED

  Feature access denied

  See Also:
    Constant Field Values

### HASP_INCOMPAT_FEATURE

    public static final int HASP_INCOMPAT_FEATURE

  Incompatible Feature

  See Also:
    Constant Field Values

### HASP_CONTAINER_NOT_FOUND

    public static final int HASP_CONTAINER_NOT_FOUND

  License container not found

  See Also:
    Constant Field Values

### HASP_TOO_SHORT

    public static final int HASP_TOO_SHORT

  En-/decryption length too short

  See Also:
    Constant Field Values

### HASP_INV_HND

    public static final int HASP_INV_HND

  Invalid handle

  See Also:
    Constant Field Values

### HASP_INV_FILEID

    public static final int HASP_INV_FILEID

  Invalid file ID / memory descriptor

  See Also:
    Constant Field Values

### HASP_OLD_DRIVER

    public static final int HASP_OLD_DRIVER

  Driver or support daemon version too old

  See Also:
    Constant Field Values

### HASP_NO_TIME

    public static final int HASP_NO_TIME

  Real time support not available

  See Also:
    Constant Field Values

### HASP_SYS_ERR

    public static final int HASP_SYS_ERR

  Generic error from host system call

  See Also:
    Constant Field Values

### HASP_NO_DRIVER

    public static final int HASP_NO_DRIVER

  Hardware key driver not found

  See Also:
    Constant Field Values

### HASP_INV_FORMAT

    public static final int HASP_INV_FORMAT

  Unrecognized info format

  See Also:
    Constant Field Values

### HASP_REQ_NOT_SUPP

    public static final int HASP_REQ_NOT_SUPP

  Request not supported

  See Also:
    Constant Field Values

### HASP_INV_UPDATE_OBJ

    public static final int HASP_INV_UPDATE_OBJ

  Invalid update object

  See Also:
    Constant Field Values

### HASP_KEYID_NOT_FOUND

    public static final int HASP_KEYID_NOT_FOUND

  Key with requested ID was not found

  See Also:
    Constant Field Values

### HASP_INV_UPDATE_DATA

    public static final int HASP_INV_UPDATE_DATA

  Update data consistency check failed

  See Also:
    Constant Field Values

### HASP_INV_UPDATE_NOTSUPP

    public static final int HASP_INV_UPDATE_NOTSUPP

  Update not supported by this key

  See Also:
    Constant Field Values

### HASP_INV_UPDATE_CNTR

    public static final int HASP_INV_UPDATE_CNTR

  Update counter mismatch

  See Also:
    Constant Field Values

### HASP_INV_VCODE

    public static final int HASP_INV_VCODE

  Invalid vendor code

  See Also:
    Constant Field Values

### HASP_ENC_NOT_SUPP

    public static final int HASP_ENC_NOT_SUPP

  Requested encryption algorithm not supported

  See Also:
    Constant Field Values

### HASP_INV_TIME

    public static final int HASP_INV_TIME

  Invalid date / time

  See Also:
    Constant Field Values

### HASP_NO_BATTERY_POWER

    public static final int HASP_NO_BATTERY_POWER

  Clock has no power

  See Also:
    Constant Field Values

### HASP_NO_ACK_SPACE

    public static final int HASP_NO_ACK_SPACE

  Update requested acknowledgement, but no area to return it

  See Also:
    Constant Field Values

### HASP_TS_DETECTED

    public static final int HASP_TS_DETECTED

  Terminal services (remote terminal) detected

  See Also:
    Constant Field Values

### HASP_FEATURE_TYPE_NOT_IMPL

    public static final int HASP_FEATURE_TYPE_NOT_IMPL

  Feature type not implemented

  See Also:
    Constant Field Values

### HASP_UNKNOWN_ALG

    public static final int HASP_UNKNOWN_ALG

  Unknown algorithm

  See Also:
    Constant Field Values

### HASP_INV_SIG

    public static final int HASP_INV_SIG

  Signature check failed

  See Also:
    Constant Field Values

### HASP_FEATURE_NOT_FOUND

    public static final int HASP_FEATURE_NOT_FOUND

  Feature not found

  See Also:
    Constant Field Values

### HASP_NO_LOG

    public static final int HASP_NO_LOG

  Trace log is not enabled

  See Also:
    Constant Field Values

### HASP_LOCAL_COMM_ERR

    public static final int HASP_LOCAL_COMM_ERR

  Communication error between application and local HASP License Manager

  See Also:
    Constant Field Values

### HASP_UNKNOWN_VCODE

    public static final int HASP_UNKNOWN_VCODE

  Vendor Code unknown to API library (run apigen to make it known)

  See Also:
    Constant Field Values

### HASP_INV_SPEC

    public static final int HASP_INV_SPEC

  Invalid XML spec

  See Also:
    Constant Field Values

### HASP_INV_SCOPE

    public static final int HASP_INV_SCOPE

  Invalid XML scope

  See Also:
    Constant Field Values

### HASP_TOO_MANY_KEYS

    public static final int HASP_TOO_MANY_KEYS

  Too many keys connected

  See Also:
    Constant Field Values

### HASP_TOO_MANY_USERS

    public static final int HASP_TOO_MANY_USERS

  Too many users

  See Also:
    Constant Field Values

### HASP_BROKEN_SESSION

    public static final int HASP_BROKEN_SESSION

  Broken session

  See Also:
    Constant Field Values

### HASP_REMOTE_COMM_ERR

    public static final int HASP_REMOTE_COMM_ERR

  Communication error between local and remote HASP License Manager

  See Also:
    Constant Field Values

### HASP_FEATURE_EXPIRED

    public static final int HASP_FEATURE_EXPIRED

  The Feature is expired

  See Also:
    Constant Field Values

### HASP_OLD_LM

    public static final int HASP_OLD_LM

  HASP License Manager version too old

  See Also:
    Constant Field Values

### HASP_DEVICE_ERR

    public static final int HASP_DEVICE_ERR

  HASP SL secure storage I/O error or USB request error

  See Also:
    Constant Field Values

### HASP_UPDATE_BLOCKED

    public static final int HASP_UPDATE_BLOCKED

  Update installation not allowed

  See Also:
    Constant Field Values

### HASP_TIME_ERR

    public static final int HASP_TIME_ERR

  System time has been tampered

  See Also:
    Constant Field Values

### HASP_SCHAN_ERR

    public static final int HASP_SCHAN_ERR

  Secure channel communication error

  See Also:
    Constant Field Values

### HASP_STORAGE_CORRUPT

    public static final int HASP_STORAGE_CORRUPT

  Secure storage contains garbage

  See Also:
    Constant Field Values

### HASP_NO_VLIB

    public static final int HASP_NO_VLIB

  Vendor DLL cannot be found

  See Also:
    Constant Field Values

### HASP_INV_VLIB

    public static final int HASP_INV_VLIB

  Vendor DLL cannot be loaded

  See Also:
    Constant Field Values

### HASP_SCOPE_RESULTS_EMPTY

    public static final int HASP_SCOPE_RESULTS_EMPTY

  Scope: no matching Feature found

  See Also:
    Constant Field Values

### HASP_VM_DETECTED

    public static final int HASP_VM_DETECTED

  Virtual machine detected

  See Also:
    Constant Field Values

### HASP_HARDWARE_MODIFIED

    public static final int HASP_HARDWARE_MODIFIED

  HASP update incompatible with this hardware; HASP key is locked to other hardware

  See Also:
    Constant Field Values

### HASP_USER_DENIED

    public static final int HASP_USER_DENIED

  Login denied because of user restrictions

  See Also:
    Constant Field Values

### HASP_UPDATE_TOO_OLD

    public static final int HASP_UPDATE_TOO_OLD

  Update was already installed

  See Also:
    Constant Field Values

### HASP_UPDATE_TOO_NEW

    public static final int HASP_UPDATE_TOO_NEW

  Another update must be installed first

  See Also:
    Constant Field Values

### HASP_OLD_VLIB

    public static final int HASP_OLD_VLIB

  Vendor DLL is too old

  See Also:
    Constant Field Values

### HASP_NO_API_DYLIB

    public static final int HASP_NO_API_DYLIB

  A required API dynamic library was not found

  See Also:
    Constant Field Values

### HASP_INV_API_DYLIB

    public static final int HASP_INV_API_DYLIB

  The found and assigned API dynamic library could not verified.

  See Also:
    Constant Field Values

### HASP_INV_PARAM

    public static final int HASP_INV_PARAM

  Invalid parameter

  See Also:
    Constant Field Values

### HASP_INV_PORT_TYPE

    public static final int HASP_INV_PORT_TYPE

See Also:
  Constant Field Values

### HASP_INV_PORT

    public static final int HASP_INV_PORT

See Also:
  Constant Field Values

### HASP_NOT_IMPL

    public static final int HASP_NOT_IMPL

  Functionality is not available

  See Also:
    Constant Field Values

### HASP_INT_ERR

    public static final int HASP_INT_ERR

  Internal API error

  See Also:
    Constant Field Values

Constructor Detail

### HaspStatus

    public HaspStatus()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD